Landing Page
GET
/
const url = 'https://example.com/api/';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/OGC API landing page — entry point for machine clients.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
LandingPage
object
title
required
Title
OGC API landing page title.
string
description
required
Description
Human-readable API description.
string
links
required
Links
Top-level navigation links to conformance, collections, and API document.
Array<object>
OGCLinkobject
href
required
Href
Target URL of the link.
string
rel
required
Rel
Link relation type per RFC 8288 (e.g. ‘self’, ‘next’, ‘prev’, ‘data’, ‘collection’).
string
type
required
Type
Media type of the linked resource (e.g. ‘application/json’, ‘application/geo+json’).
string
Example generated
{ "title": "example", "description": "example", "links": [ { "href": "example", "rel": "example", "type": "example", "title": "example" } ]}Bad request — invalid query parameters or payload
ProblemDetail
object
type
Type
string
title
required
Title
string
status
required
Status
integer
detail
required
Detail
string
Example
{ "type": "about:blank"}Not found
ProblemDetail
object
type
Type
string
title
required
Title
string
status
required
Status
integer
detail
required
Detail
string
Example
{ "type": "about:blank"}Validation error
ProblemDetail
object
type
Type
string
title
required
Title
string
status
required
Status
integer
detail
required
Detail
string
Example
{ "type": "about:blank"}Internal server error
ProblemDetail
object
type
Type
string
title
required
Title
string
status
required
Status
integer
detail
required
Detail
string
Example
{ "type": "about:blank"}